
version: '3.3'

services:
  mongo:
    image: mongo
    container_name: job_kmitl_db
    restart: always
    ports:
      - 27010:27017
    volumes:
      - mongo-volumn:/data/db
    environment:
      MONGO_INITDB_ROOT_USERNAME: slowlifecoding
      MONGO_INITDB_ROOT_PASSWORD: graduateCanFindJob@KmitlDotCom22

  api-hapi:
    build: .
    container_name: job_kmitl_api
    restart: always
    ports:
      - 8010:8010
    depends_on:
      - mongo
    links:
      - mongo
    volumes:
      - .:/usr/src/app
      - /usr/src/app/node_modules # if no this line node_modules will not show in your machine after build
    # https://stackoverflow.com/questions/30043872/docker-compose-node-modules-not-present-in-a-volume-after-npm-install-succeeds
    # environment:
    #   DATABASE: mongodb://mongo/electron-movie
    #   DATABASE_USERNAME: slowlifecoding
    #   DATABASE_PASSWORD: "graduateCanFindJob@KmitlDotCom22"

volumes:
  mongo-volumn: {}